#ifdef ARC_OPENGL_GRAPHICS
#include "arc/graphics/sprite.h"
#include "arc/math/point.h"
#include "arc/math/rectangle.h"
#include <stdlib.h>

void ARC_Sprite_Create(ARC_Sprite **sprite, ARC_Spritesheet *spritesheet, ARC_Array *frames){
}

void ARC_Sprite_Destroy(ARC_Sprite *sprite){
}

void ARC_Sprite_Copy(ARC_Sprite **newSprite, ARC_Sprite *oldSprite){
}

void ARC_Sprite_Render(ARC_Sprite *sprite, ARC_Renderer *renderer, ARC_Rect *renderBounds){
}

void ARC_Sprite_RenderRotated(ARC_Sprite *sprite, ARC_Renderer *renderer, ARC_Rect *renderBounds, ARC_Point *center, double angle){
}

void ARC_Sprite_IterateFrame(ARC_Sprite *sprite){
}

ARC_Rect *ARC_Sprite_GetBounds(ARC_Sprite *sprite){
    return NULL;
}

#endif // ARC_OPENGL_GRAPHICS